textures/tsulcd/bfilter
{
    surfaceparm trans	
	surfaceparm nolightmap     
	q3map_invert
	polygonOffset
        {
		rgbGen const ( 0 0.4 1 )
		map $whiteimage
		blendFunc filter
	}
}
textures/tsulcd/rfilter
{
    surfaceparm trans
	surfaceparm nolightmap
	q3map_invert
	polygonOffset
        {
		rgbGen const ( 1 0.1 0 )
		map $whiteimage
		blendFunc filter
	}
}


textures/tsulcd/d_0
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_0.tga
	}
}
textures/tsulcd/d_1
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_1.tga
	}
}
textures/tsulcd/d_2
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_2.tga
	}
}
textures/tsulcd/d_3
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_3.tga
	}
}
textures/tsulcd/d_4
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_4.tga
	}
}
textures/tsulcd/d_5
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_5.tga
	}
}
textures/tsulcd/d_6
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_6.tga
	}
}
textures/tsulcd/d_7
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_7.tga
	}
}
textures/tsulcd/d_8
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_8.tga
	}
}
textures/tsulcd/d_9
{
	noPicMip
	surfaceparm nodlight
	{
		rgbGen identityLighting
		map	textures/tsulcd/d_9.tga
	}
}


textures/tsulcd/d_r0
{
	qer_editorimage gfx/colors/black.tga
	surfaceparm nomarks
	q3map_lightRGB 1 0.1 0
	q3map_surfacelight 200
	{
		map	gfx/colors/black.tga
	}
}
textures/tsulcd/d_r1
{
	qer_editorimage gfx/colors/black.tga
	surfaceparm nomarks
	q3map_lightRGB 1 0.1 0
	q3map_surfacelight 200
	{
		map	gfx/colors/black.tga
	}
}
textures/tsulcd/d_b0
{
	qer_editorimage gfx/colors/black.tga
	surfaceparm nomarks
	q3map_lightRGB 0 0.4 1
	q3map_surfacelight 200
	{
		map	gfx/colors/black.tga
	}
}
textures/tsulcd/d_b1
{
	qer_editorimage gfx/colors/black.tga
	surfaceparm nomarks
	q3map_lightRGB 0 0.4 1
	q3map_surfacelight 200
	{
		map	gfx/colors/black.tga
	}
}

textures/tsu_sfx/teslacoil3
{
	cull none
	q3map_lightimage textures/sfx/tesla1b.tga	
	q3map_surfacelight 100
	qer_editorimage textures/sfx/teslacoil.tga
	surfaceparm nolightmap
	
	
	{
		map textures/sfx/electricslime2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/sfx/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}

textures/tsu_floor/fpgtrules
{
	noPicMip
	surfaceparm nodlight
	surfaceparm nolightmap
    surfaceparm trans	
    surfaceparm nonsolid	
	surfaceparm detail
	q3map_surfacelight 200
        qer_editorimage textures/floor/fpgtrules.tga
	{
		map textures/floor/fpgtrules.tga
		blendFunc add
	}

}
textures/tsu_floor/c_met5_2_s5v
{   
	sort 5
	qer_editorimage textures/base_wall/c_met5_2
	{
		map textures/base_wall/c_met5_2.tga
		rgbGen vertex
	}
	{
		map textures/base_wall/c_met5_2.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}    
}
textures/tsu_floor/glass01w_noslick
{
    surfaceparm trans	
	surfaceparm nolightmap
	cull none
	qer_trans 	0.5    
    {
		map textures/floor/tsu_dirt_w.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}
textures/tsu_floor/xctf_painwater
{
	qer_editorimage textures/liquids/proto_grueldark.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 450
	cull disable
	tesssize 64
	deformVertexes wave 70 sin 1 2 1 .2
	{
		map textures/liquids/proto_grueldark.tga
		blendfunc GL_ONE GL_SRC_COLOR	
		tcMod scale .03 .03
		tcMod scroll .001 .001
	}
	{
		map textures/liquids/proto_gruel3.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod turb .1 .1 0 .01
		tcMod scale .5 .5
		tcMod scroll -.025 .02
	}
}
